<?
////////////////////////////////////////////////////
// Conciliación: gestión de conciliación de activos
// Version: 1.0
//
// Copyright (C) 2014  Eustotem Multimedia, S.L.
//
// License: MIT, see LICENSE
////////////////////////////////////////////////////


class Identificadores{
	public $resId=NULL;				
	public $old_recordset=NULL;		
	public $recordset=NULL;			
	public $mail=NULL;				
	public $prefs=NULL;				
	
	public function checkKeys(){
		$cadena=""; 
		$f=$this->recordset;
		$o=$this->old_recordset;
		global $lngs;
		if($f['cod_identificador']!=$o['cod_identificador']){
			$sql="UPDATE smk_conciliacion SET identif_aux='{$f['cod_identificador']}' WHERE identif_aux='{$o['cod_identificador']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET tipo_identif='{$f['cod_identificador']}' WHERE tipo_identif='{$o['cod_identificador']}'";
			$q=mysql_query($sql);
		}
	}
	public function deleteKey(){
		$cadena=""; 
		$f=$this->recordset;
		global $lngs;
			$sql="UPDATE smk_conciliacion SET id_ubic=NULL WHERE identif_aux='{$f['cod_identificador']}'";
			$q=mysql_query($sql);
			$sql="UPDATE smk_inventario SET id_ubicacion=NULL WHERE tipo_identif='{$f['cod_identificador']}'";
			$q=mysql_query($sql);
	}
}
?>